Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Interface KBQueryUtils

All Superinterfaces:
  Constants

All Known Implementing Classes:
  BasicQueryObject, DomainRangeObjectPairEntry, SingleObjectEntry

    public interface KBQueryUtils

extends Constants

Description of the Interface

Author:
  William Grosso

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Method Summary
`Instance` | `getDomainObject(Instance entry)`
`Cls` | `getDomainType(Cls functionCls)`
`Cls` | `getDomainTypeFromEntryCls(Cls entryCls)`
`Collection` | `getDomainValueSlots(Cls entryCls)`
`Slot` | `getEntriesSlot(Cls functionCls)`
`Cls` | `getEntryCls(Cls functionCls)`
`Instance` | `getOrCreateDomainObject(Instance entry)`
`Instance` | `getOrCreateRangeObject(Instance entry)`
`Instance` | `getRangeObject(Instance entry)`
`Cls` | `getRangeType(Cls functionCls)`
`Cls` | `getRangeTypeFromEntryCls(Cls entryCls)`
`Slot` | `getRangeValueSlot(Cls entryCls)`
`Slot` | `getRangeValueSlot(Instance entry)`
`Collection` | `getRangeValueSlots(Cls entryCls)`
`Collection` | `getRangeValueSlots(Instance entry)`
`void` | `setDomainObject(Instance entry, Instance domainObject)`
`void` | `setRangeObject(Instance entry, Instance rangeObject)`

Method Detail

### getDomainObject

    Instance getDomainObject(Instance entry)

### getDomainType

    Cls getDomainType(Cls functionCls)

### getDomainTypeFromEntryCls

    Cls getDomainTypeFromEntryCls(Cls entryCls)

### getDomainValueSlots

    Collection getDomainValueSlots(Cls entryCls)

### getEntriesSlot

    Slot getEntriesSlot(Cls functionCls)

### getEntryCls

    Cls getEntryCls(Cls functionCls)

### getOrCreateDomainObject

    Instance getOrCreateDomainObject(Instance entry)

### getOrCreateRangeObject

    Instance getOrCreateRangeObject(Instance entry)

### getRangeObject

    Instance getRangeObject(Instance entry)

### getRangeType

    Cls getRangeType(Cls functionCls)

### getRangeTypeFromEntryCls

    Cls getRangeTypeFromEntryCls(Cls entryCls)

### getRangeValueSlot

    Slot getRangeValueSlot(Cls entryCls)

### getRangeValueSlot

    Slot getRangeValueSlot(Instance entry)

### getRangeValueSlots

    Collection getRangeValueSlots(Cls entryCls)

### getRangeValueSlots

    Collection getRangeValueSlots(Instance entry)

### setDomainObject

    void setDomainObject(Instance entry,
                         Instance domainObject)

### setRangeObject

    void setRangeObject(Instance entry,
                        Instance rangeObject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request